︠4010f808-4363-4d4a-afd7-a078585452f1i︠
%md
# Courbes paramétrées

Étant donné un intervalle $I\subseteq \mathbb{R}$ et une fonction ${\bf r} : I \to \mathbb{R}^n$ son image est une courbe dans $\mathbb{R}^n$.

- La fonction ${\bf r}$ est une paramétrisation de la courbe ${\mathcal C}$
- Il peut avoir d'autres paramétrisations qui donnent lieu à la même courbe.

Voyons quelques exemples.
︡8d0f834f-a78e-4fd2-b60a-a4a059ff1644︡{"done":true,"md":"# Courbes paramétrées\n\nÉtant donné un intervalle $I\\subseteq \\mathbb{R}$ et une fonction ${\\bf r} : I \\to \\mathbb{R}^n$ son image est une courbe dans $\\mathbb{R}^n$.\n\n- La fonction ${\\bf r}$ est une paramétrisation de la courbe ${\\mathcal C}$\n- Il peut avoir d'autres paramétrisations qui donnent lieu à la même courbe.\n\nVoyons quelques exemples."}
︠505cefb0-d354-4457-ba34-fb4c7ffe17fai︠
%md
### Exemple 1
Considérons la courbe ${\bf r}(t)=(\cos(2t), \sin(t))$, il s'agit d'une courbe plane.
︡db688fc5-05f3-4c1f-8728-efcfad6d9385︡{"done":true,"md":"### Exemple 1\nConsidérons la courbe ${\\bf r}(t)=(\\cos(2t), \\sin(t))$, il s'agit d'une courbe plane."}
︠64932721-54a0-4f7d-8dee-0e1eac6392b4s︠
var('t')
Courbe = parametric_plot([cos(2*t),sin(4*t)],(t,0,2*pi), color='blue', thickness = 2)
show(Courbe)
︡ac815fc3-9b4c-45c9-b50c-dba89c8490bb︡{"stdout":"t\n"}︡{"file":{"filename":"/home/user/.sage/temp/project-b317db30-e79c-4087-a881-6ba4c99c270b/1050/tmp_YMEhP7.svg","show":true,"text":null,"uuid":"5229b52b-b1b6-4bcd-8e6f-a6b85d888aa3"},"once":false}︡{"done":true}︡
︠6a1e98b7-4821-4f89-84fe-dc13d1e531d1i︠
%md
## Exemple 2
Considérons maintenant une courbe dans l'espace ${\bf r}(t)=(t,t^2,t^3)$

︡183fdcb8-b780-404d-b06a-45c3d847309f︡{"done":true,"md":"## Exemple 2\nConsidérons maintenant une courbe dans l'espace ${\\bf r}(t)=(t,t^2,t^3)$"}
︠3aa2f32d-ee73-4769-89fb-ea3be8a178b1s︠
var('t') # ce n'est plus vraiment nécessaire car on a déjà déclaré la variable auparavant.
Courbe = parametric_plot3d([t,t^2, t^3],(t,-2,2),color='red', thickness=3)
show(Courbe)
︡c15921d2-a678-4a8a-9f25-ee6894cf6695︡{"stdout":"t\n"}︡{"file":{"filename":"b6a5790c-01f1-4c04-b1cd-6592b5c824a9.sage3d","uuid":"b6a5790c-01f1-4c04-b1cd-6592b5c824a9"}}︡{"done":true}︡
︠d59898cc-daab-459f-b7cb-3aae2bdc46f9i︠
%md
On ne voit pas grand chose... Mais cette courbe se trouve sur le cylindre parabolique $y=x^2$, et sur la surface $z=x^3$. Traçons les deux surfaces, ainsi que la courbe elle-même.
︡77844ab7-8a86-49b3-991b-7d75184e93b9︡{"done":true,"md":"On ne voit pas grand chose... Mais cette courbe se trouve sur le cylindre parabolique $y=x^2$, et sur la surface $z=x^3$. Traçons les deux surfaces, ainsi que la courbe elle-même."}
︠d9ba104d-10b6-4508-bcd0-069dad42a15e︠
var('t,u,v')
Cyl=parametric_plot3d((u,u^2,v),(u,-2,2),(v,-8,8), color='blue', opacity=0.35)
Surf = parametric_plot3d((u,v,u^3),(u,-2,2),(v,0,4),color='green',opacity=0.35)
Courbe = parametric_plot3d([t,t^2, t^3],(t,-2,2),color='red', thickness=3)
show(Surf+Cyl+Courbe, frame_aspect_ratio=[4,3,1])
︡0ed95021-9943-4b48-ae3d-1c849f8a98a2︡{"stdout":"(t, u, v)\n"}︡{"file":{"filename":"0f3fe7e9-02d6-4b80-9a51-40ae0cb3d920.sage3d","uuid":"0f3fe7e9-02d6-4b80-9a51-40ae0cb3d920"}}︡{"done":true}︡
︠59e796d6-2ecb-47fc-b8ed-e10e6f5dcadai︠
%md
## Exemple 3
Il y a des fonctions qui peuvent poser problème : une intégrale qu'on ne peut évaluer analytiquement. Un exemple typique serait quelque chose comme la courbe dont l'équation serait \[ y(x) = \int_{0}^x \frac{1}{\sqrt{2\pi}}e^{-u^2/2} {\rm d}u\] La primitive n'est pas une fonction élémentaire, mais ça ne devrait pas nous obliger à nous passer de la courbe. Une façon de procéder serait de définir une fonction séparément, qui tienne compte du fait que l'on veut une intégration numérique, puis utiliser cette fonction pour le graphique.
︡3bc11b26-8869-49f6-92ba-09ef8ef1c212︡{"done":true,"md":"## Exemple 3\nIl y a des fonctions qui peuvent poser problème : une intégrale qu'on ne peut évaluer analytiquement. Un exemple typique serait quelque chose comme la courbe dont l'équation serait \\[ y(x) = \\int_{0}^x \\frac{1}{\\sqrt{2\\pi}}e^{-u^2/2} {\\rm d}u\\] La primitive n'est pas une fonction élémentaire, mais ça ne devrait pas nous obliger à nous passer de la courbe. Une façon de procéder serait de définir une fonction séparément, qui tienne compte du fait que l'on veut une intégration numérique, puis utiliser cette fonction pour le graphique."}
︠851e4ec7-6a7e-4875-9df5-f99d939734c4s︠
var('t,u')
def y(t):
	return integral_numerical(e^(-u^2/2)/sqrt(2*pi),0,t)[0]+1/2

def x(t):
	return t

Courbe = parametric_plot((x,y),(-5,5),color='blue', thickness=2)
show(Courbe,aspect_ratio=5)
︡07967fa0-d8ce-4e13-97dd-981e14c153d6︡{"stdout":"(t, u)\n"}︡{"file":{"filename":"/home/user/.sage/temp/project-b317db30-e79c-4087-a881-6ba4c99c270b/1050/tmp_VmWapp.svg","show":true,"text":null,"uuid":"6e20c1f3-70fc-4e16-88eb-2db66d793c7e"},"once":false}︡{"done":true}︡
︠a6559189-66cc-4a7a-9bfc-f716a0c7337fi︠
%md
## Exemple 4
On s'intéresse à la courbe intersection du cône $x^2 + y^2 = z^2$ avec le plan $z=y+1$. Grossièrement, deux paramétrisations ont été obtenues :

+ La première est donnée par $\mathbf{r}_1(t)=(\pm\sqrt{1+2t}, t, 1+t)$. Ce n'est pas **une** paramétrisation complète, à cause du $\pm\sqrt{\cdots}$. On a besoin de 2 fonctions. Dans les graphiques ci-après elles seront tracées en bleu et en rouge.
+ La deuxième est donnée par $\mathbf{r}_3(t)=\left(t, \frac{s^2-1}{2}, \frac{s^2 +1}{2}\right)$. Elle sera tracée en noir.

De plus, nous allons tracer le cône et le plan. Afin d'obtenir un joli cône on utilisera les coordonnées polaires. Voir plus bas.
︡bad8488d-12a8-4758-8dbd-c89a7b3c6f55︡{"done":true,"md":"## Exemple 4\nOn s'intéresse à la courbe intersection du cône $x^2 + y^2 = z^2$ avec le plan $z=y+1$. Grossièrement, deux paramétrisations ont été obtenues :\n\n+ La première est donnée par $\\mathbf{r}_1(t)=(\\pm\\sqrt{1+2t}, t, 1+t)$. Ce n'est pas **une** paramétrisation complète, à cause du $\\pm\\sqrt{\\cdots}$. On a besoin de 2 fonctions. Dans les graphiques ci-après elles seront tracées en bleu et en rouge.\n+ La deuxième est donnée par $\\mathbf{r}_3(t)=\\left(t, \\frac{s^2-1}{2}, \\frac{s^2 +1}{2}\\right)$. Elle sera tracée en noir.\n\nDe plus, nous allons tracer le cône et le plan. Afin d'obtenir un joli cône on utilisera les coordonnées polaires. Voir plus bas."}
︠a0916bd6-a8d4-41de-8a97-4e0d4a072023s︠
var('t')
def r1(t) :
	return (sqrt(1+2*t),t,1+t)

def r2(t) :
	return (-sqrt(1+2*t),t,1+t)
︡f2deeb06-971d-4bb7-8512-75b84dfbff08︡{"stdout":"t\n"}︡{"done":true}︡
︠42058bfd-b36d-476c-a46e-1b76a6810ae2i︠
︡ab73159d-bba1-4218-92f8-8e8819642d9c︡
︠96c8ba09-597a-458f-89ec-60b49fe54646s︠
var('x,y,r')
Plan = plot3d(1+y, (x,-6,6),(y,-3,15), color = "lightgreen", opacity = 0.55)
Cone = parametric_plot3d((r*cos(t), r*sin(t), r), (r,0,10), (t,0,2*pi), color="purple", opacity = 0.5)
C1 = parametric_plot(tuple(r1(t)), (t,-1/2,10), color="blue", thickness = 2)
C2 = parametric_plot(tuple(r2(t)), (t,-1/2,10), color="red",  thickness = 2)
show(C1+C2+Plan+Cone)
︡d53790f0-0e95-4879-a19e-1dae6fe9cfcc︡{"stdout":"(x, y, r)\n"}︡{"file":{"filename":"6af2ca96-28e2-4878-9942-343ce7381ece.sage3d","uuid":"6af2ca96-28e2-4878-9942-343ce7381ece"}}︡{"done":true}︡
︠71e94321-be94-4e88-b62c-5c8c7b14d702i︠
%md
Voici ce qu'on obtient avec l'autre paramétrisation
︡7473a0ed-6187-4d07-a3d2-af30474baf31︡{"done":true,"md":"Voici ce qu'on obtient avec l'autre paramétrisation"}
︠bcd9a005-1b9c-4032-aefb-7a0dbf314a9as︠
def r3(t):
	return (t,(t^2-1)/2, (t^2+1)/2)
C= parametric_plot(tuple(r3(t)), (t,-5,5 ),color="black", thickness = 2)
show(C + Plan + Cone)
︡5e993c55-4d54-47a3-8661-307439e33bc2︡{"file":{"filename":"08a03517-47c2-42de-9355-7fe48bd16836.sage3d","uuid":"08a03517-47c2-42de-9355-7fe48bd16836"}}︡{"done":true}︡

︠45217449-5ad3-4a86-8fab-80949e93c39a︠









